function properties_struct = interpolate_properties(mat_name, T)
    Temps = [30.0 40.0 50.0 60.0 70.0 80.0 90.0];
    
    if (mat_name == 1) % IM7/8552
        Newva_array = [0.933 0.865 0.86 0.836 0.813 0.801 0.795];
        nur_a_Squeeze_array = [-0.954 -0.932 -0.909 -0.888 -0.866 -0.844 -0.822];
        nur_b_Squeeze_array = [exp(-18.15) exp(-16.90) exp(-15.63) exp(-15.18) exp(-14.93) exp(-14.87) exp(-14.98)];
        nur_b_Bleed_array = [exp(-34.88) exp(-33.63) exp(-32.36) exp(-31.91) exp(-31.66) exp(-31.59) exp(-31.71)];
    else % IMA/M21
        Newva_array = [0.96 0.8925 0.83 0.805 0.8 0.795 0.79];
        nur_a_Squeeze_array = [-0.934 -0.818 -0.752 -0.731 -0.752 -0.8 -0.864];
        nur_b_Squeeze_array = [exp(-17.89) exp(-15.78) exp(-14.44) exp(-13.9) exp(-13.84) exp(-13.98) exp(-14.58)];
        nur_b_Bleed_array = [exp(-34.62) exp(-32.51) exp(-31.17) exp(-30.63) exp(-30.56) exp(-30.70) exp(-31.31)];
    end
        
    % Temperature is higher than max or lower than min
    if (T <= Temps(1) || T >= Temps(end) )
        if (T <= Temps(1))
            my_ind = 1;
        else    
            my_ind = numel(Temps);
        end
        
        my_struct.a_sq = nur_a_Squeeze_array(my_ind);
        my_struct.a_bl = nur_a_Squeeze_array(my_ind);
        my_struct.b_sq = nur_b_Squeeze_array(my_ind);
        my_struct.b_bl = nur_b_Bleed_array(my_ind);
        my_struct.kk = Newva_array(my_ind);
        if ( mat_name == 1 )
            my_struct.w_h = 593;
        else
            my_struct.w_h = 400;
        end
        
        properties_struct = my_struct;
        return;
    end
    
    my_struct.a_sq = interp1(Temps, nur_a_Squeeze_array, T);
    my_struct.a_bl = interp1(Temps, nur_a_Squeeze_array, T);
    my_struct.b_sq = interp1(Temps, nur_b_Squeeze_array, T);
    my_struct.b_bl = interp1(Temps, nur_b_Bleed_array,   T);
    my_struct.kk = interp1(Temps, Newva_array, T);
    
    if ( mat_name == 1 )
        my_struct.w_h = 593;
    else
        my_struct.w_h = 400;
    end
    
    properties_struct = my_struct;
    return;
end